Upgrade Troubleshooting

お困りですか?

アトラシアン コミュニティをご利用ください。

コミュニティに質問

Troubleshooting the Upgrade

If experiencing problems upgrading by restoring from an XML backup, use the standard upgrade procedure instead.

Confluence runs the upgrade task based on a comparison between build numbers in the confluence-install directory and the confluence.cfg.xml file in the confluence-home directory. Therefore, you cannot restore an sql dump from an old version after the upgrade task has run. To handle errors related to this better, vote for CONF-13798.

Confluence 3.5 Upgrade problems

Issues Prior to Confluence 2.8

ここをクリックして展開...
  • Problem: If you are upgrading from a Confluence version 2.2.x or earlier to the latest version of Confluence, you may see an error message such as: Upgrade failed: com.atlassian.confluence.extra.leftnavigation.LeftNavSettings.
  • Problem: An error message like: 'KEYSTORE' table doesn't exist..
    • Workaround: Create the KEYSTORE table manually.
    • Fix: Refer to CONF-10759.
  • Problem: An Null Pointer Exception message occurs in the logs with a stack trace like: com.atlassian.confluence.security.trust.ConfluenceTrustedApplicationsManager.getAliasForSid. The Server ID is not being created.
    • Workaround: Create the Server ID manually.
    • Fix: Refer to CONF-10576.
  • Problem:Users are unable to log in after an upgrade from a version prior to 2.7.

Knowledge Base Articles

Open JIRA Features and Bug Reports

type 鍵 (キー) summary priority status

Data cannot be retrieved due to an unexpected error.

View these issues in JIRA

最終更新日: 2018 年 9 月 17 日

この内容はお役に立ちましたか?

はい
いいえ
この記事についてのフィードバックを送信する

このセクションの項目

Powered by Confluence and Scroll Viewport.